<template>
  <div class="flex flex-col px-3 max-w-2xl mx-auto mb-4">
    <h1 class="text-2xl font-bold mb-3">Besoin d'aide pendent la session de vote ?</h1>

    <h2 class="text-lg mb-2">
      Pour des informations générale sur le système de vote : <b class="underline"><router-link to="/info">page d'information</router-link></b>.
      <br />
      Vous trouverez plus bas des <b>réponses aux problèmes</b> les plus probables. Une équipe de support est également à votre disposition pendent toute la séance. Vous pouvez les contacter avec le lien ci-dessous :
    </h2>

    <v-btn href="https://t.me/agevote_support" target="_blank" color="primary" variant="outlined" append-icon="mdi-chat" block>
      Groupe Telegram de support
    </v-btn>

    <section class="my-2">
      <h2 class="text-lg font-bold mt-3 mb-2">Je ne peux pas scanner le QR Code du ticket de présence</h2>
      <ul class="ml-3 list-disc">
        <li><b>Pas de ticket</b> : récupérez un ticket auprès des agents de présence à l'entrée de la salle.</li>
        <li><b>Pas de webcam sur mon appareil</b> : si vous avez un autre appareil utilisez-le et sinon dirigez-vous avec votre ticket vers l'entrée de la salle et demandez une activation manuelle après d'un agent de présence.</li>
        <li><b>La caméra ne s'affiche pas</b> : assurez-vous d'avoir autorisé l'utilisation de votre webcam. Le navigateur le demande systématiquement pour la première visite.</li>
        <li><b>Le QR Code est illisible</b> : dirigez-vous vers l'entrée de la salle et informez un agent de présence.</li>
      </ul>
      <p>Si vous ne parvenez pas à résoudre votre problème, merci de contacter le support.</p>
    </section>

    <section class="my-2">
      <h2 class="text-lg font-bold mt-3 mb-2">Je n'ai pas "le droit de vote"</h2>
      <p>Les organisateurs définissent qui a le droit de voter en fonction des groupes et unités EPFL. Si vous êtes censé·e l'avoir pour le vote en cours et qu'il n'est pas reconnu <b>contactez rapidement le support</b>.</p>
    </section>

    <v-sheet class="px-3">
      <h2 class="text-lg font-bold mt-3 mb-1">.. autre problème ?</h2>
      <h2 class="text-lg font-bold ml-3 mb-2">-> contactez le groupe de support</h2>
    </v-sheet>
  </div>
</template>
